## org.eclipse.datatools.enablement.mysql.ddl.shared
Class MySqlDdlGeneratorHelper.SingletonOptionDependency

    java.lang.Object
      org.eclipse.datatools.enablement.mysql.ddl.shared.MySqlDdlGeneratorHelper.SingletonOptionDependency

Enclosing class:
  MySqlDdlGeneratorHelper

    public static class MySqlDdlGeneratorHelper.SingletonOptionDependency

extends java.lang.Object

Method Summary
`java.lang.Integer` `getMask(java.lang.Class key)`
`static MySqlDdlGeneratorHelper.SingletonOptionDependency` `getSingletonObject()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSingletonObject

    public static MySqlDdlGeneratorHelper.SingletonOptionDependency getSingletonObject()

### getMask

    public java.lang.Integer getMask(java.lang.Class key)